enum KeyboardShape
{
	Ellipse,
	Rectangle,
}

[Setting hidden]
bool Setting_General_ShowAcceleration = false;
[Setting hidden]
bool Setting_General_ShowAccelerationHidden = false;
[Setting hidden]
vec2 Setting_General_AccelerationPos = vec2(0.80f, 0.95f);
[Setting hidden]
vec2 Setting_General_AccelerationSize = vec2(150, 150);

[Setting category="Visual" name="Shape"]
KeyboardShape Setting_Visual_Shape = KeyboardShape::Ellipse;

[Setting category="Visual" name="Text color" color]
vec4 Setting_Visual_TextColor = vec4(1, 1, 1, 1);

[Setting category="Visual" name="Fill color" color]
vec4 Setting_Visual_FillColor = vec4(0, 0, 0, 0.7f);

[Setting category="Visual" name="Border color" color]
vec4 Setting_Visual_BorderColor = vec4(1, 1, 1, 1);

[Setting category="Visual" name="Border width" drag min=0 max=10]
float Setting_Visual_BorderWidth = 3.0f;

[Setting category="Visual" name="Border radius" drag min=0 max=50]
float Setting_Visual_BorderRadius = 5.0f;

[Setting category="Visual" name="Inactive alpha" drag min=0 max=1]
float Setting_Visual_InactiveAlpha = 0.4f;

[Setting category="Visual" name="Font"]
string Setting_Visual_Font = "DroidSans.ttf";